# Interface Usage

All Known Implementing Classes:
  `DefaultUsage`

@UML(identifier="MD_Usage", specification=ISO_19115) public interface Usage
Brief description of ways in which the resource(s) is/are currently used.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getSpecificUsage()`
  Brief description of the resource and/or resource series usage.
  `Date`
  `getUsageDate()`
  Date and time of the first use or range of uses of the resource and/or resource series.
  `Collection<? extends ResponsibleParty>`
  `getUserContactInfo()`
  Identification of and means of communicating with person(s) and organization(s) using the resource(s).
  `InternationalString`
  `getUserDeterminedLimitations()`
  Applications, determined by the user for which the resource and/or resource series is not suitable.

- ## Method Details

  - ### getSpecificUsage

    @UML(identifier="specificUsage", obligation=MANDATORY, specification=ISO_19115) InternationalString getSpecificUsage()
    Brief description of the resource and/or resource series usage.
    Returns:
      Description of the resource usage.

  - ### getUsageDate

    @UML(identifier="usageDateTime", obligation=OPTIONAL, specification=ISO_19115) Date getUsageDate()
    Date and time of the first use or range of uses of the resource and/or resource series.

    Warning: The return type of this method may change in GeoAPI 3.1 release. It may be replaced by a type matching more closely either ISO 19108 (Temporal Schema) or ISO 19103.

    Returns:
      Date of the first use of the resource, or `null`.

  - ### getUserDeterminedLimitations

    @UML(identifier="userDeterminedLimitations", obligation=OPTIONAL, specification=ISO_19115) InternationalString getUserDeterminedLimitations()
    Applications, determined by the user for which the resource and/or resource series is not suitable.
    Returns:
      Applications for which the resource and/or resource series is not suitable, or `null`.

  - ### getUserContactInfo

    @UML(identifier="userContactInfo", obligation=MANDATORY, specification=ISO_19115) Collection<? extends ResponsibleParty> getUserContactInfo()
    Identification of and means of communicating with person(s) and organization(s) using the resource(s).
    Returns:
      Means of communicating with person(s) and organization(s) using the resource(s).